Welcome to EvaPig®

Introduction

EvaPig® is a calculator of energy, amino acid and phosphorus values of ingredients and diets for growing and adult pigs. It includes a database of chemical composition and nutritive values for about 100 reference ingredients, mostly derived from the INRA-AFZ Tables of chemical composition and nutritive values published in 2002-2004.

Users can create their own ingredients, either by copying and modifying the reference ingredients, or by creating new ingredients using only chemical composition data. EvaPig® uses equations and coefficients that calculate the nutritive values of the new ingredients.

EvaPig® can create and compare diets created from the reference or user-defined ingredients. It calculates the chemical and nutritional values of the diet by using those of the diet ingredients, with possible corrections for the physical form of the diet and phytase supplementation. It can also calculate the energy values of a diet from its chemical composition only.

Figure 1. EvaPig® main menu

Why use EvaPig®?

Pig production faces numerous challenges.

Feeding accounts for more than half of the cost of pig production and heavily impacts upon the technical and economic results of the pig unit. As feed prices change very quickly, optimising diet composition becomes important. Because energy is the main component of the feed cost, it is highly beneficial to use an energy system that matches animal requirements as closely as possible to minimise the feed cost.

Likewise, the utilization of amino acid and phosphorus values close to animal requirements results in a more efficient use of these nutrients by the animals, lower feed costs and less excretion of nitrogen and phosphorus into the environment.

Another challenge to pig feeding is the large number of available ingredients. Reference books like the INRA-AFZ Tables provide values for the most common ingredients. However, the values are given for representative ingredients: the nutritional value of actual ingredients may differ significantly due to variation in chemical composition. Tables often include "correction" equations but using them to predict complex nutritional values is not straightforward. For new ingredients that have recently appeared on the feed market, tables offer little or no way to calculate their nutritional values.

Finally, animals, husbandry conditions and production targets are variable with subsequent variable nutritional requirements and quantities of feed.

EvaPig® provides several answers to these challenges.

  • It offers net energy values, ileal standardised amino acid digestibilities and phosphorus digestibilities for ingredients and diets. These are currently the most advanced nutritional systems for pigs. Nutritional values based on former concepts (digestible energy, digestible protein, total amino acids, etc.) are also available.
  • It makes it easy to calculate these values as accurately as possible. The energy values for a new ingredient can be derived from the reference ingredient that is biologically and/or botanically closest to it, using ingredient-specific equations that take into account the differences in composition between the reference ingredient and the new one. For ingredients that do not have a reference available, EvaPig® calculates nutritive values using the chemical values provided by the user and generic equations.
  • EvaPig® calculates energy values for two stages of pig production: the growing pig and the adult pig.

Reference tables

Most of the reference values come from the INRA-AFZ Tables published in 2002-2004. These tables are based on the data collected by the French Feed Database of the AFZ since 1989. This database, that includes several hundreds of thousands of samples with chemical and nutritional values, was used to establish the reference ingredients, the representative chemical compositions and then nutritional values consistent with the proposed chemical composition, using equations derived from actual in vivo measurements.

The reference values included in EvaPig® may be slightly different from the original INRA-AFZ data. New ingredients have been (and will be) added while others were merged (fats, oils) since they had identical nutritional values for the pig. Also, some values have been updated to take into account data published since 2002.

Because pig production is constantly evolving, EvaPig® will be regularly updated to reflect these changes, using newly available in vivo data about ingredients, either from the published literature or sent by the researchers themselves. If you are willing to help in the development of EvaPig® and its reference database, particularly by sharing such data, please contact us through the website www.evapig.com.


Nutritional concepts

Energy

Energy systems

The energy value of a feed (ingredient or diet) can be expressed as digestible energy (DE), metabolizable energy (ME) and net energy (NE) (Noblet et al., 2005). Research has shown that net energy is the best estimator of the true energy value of ingredients and complete feeds (Noblet et al., 2003; 2005; 2006) as DE and ME underestimate the energy value of feeds rich in fat and starch and overestimate that of feeds rich in protein and fibre. The NE system is also better for predicting animal performance and carcass quality, particularly when pigs are fed low-protein or high-fat diets. For that reason, using net energy for ingredients and for feed formulation is highly recommended.

EvaPig® also provides DE, ME values and NE values. These values were derived from literature data and calculated as follows:

  • Estimation of gross energy
  • Estimation of energy digestibility (Ed) and calculation of DE
  • Estimation of energy losses from methane and urine and calculation of ME (assuming that nitrogen excretion in urine represents 50% of digestible nitrogen)
  • Calculation of NE, using equations

As research from INRA showed that live weight and feeding level influence the digestibility of energy and nutrients, separate values are given for the growing pig (from weaning up to 150 kg) and the adult pig (boar, gestating sow and lactating sow).

Finally, the contributions of the ingredients are considered to be additive when included in a complete diet, assuming that vitamins and minerals supplements have a zero energy value.

The energy bonus

The energy values provided in the table refer to mashed ingredients. However, technological processes such as intensive grinding, pelleting and extrusion, or the addition of substances such as enzymes, are known to increase energy digestibility. The increase depends on the ingredient and on the nature of the process. It is mostly noticeable in the growing pig and is supposed to be less important in the adult pig (although no literature data is yet available). EvaPig® makes it possible to take into account the effect of technology by applying an “energy bonus” that can add up to 5% to the energy values. This bonus can also be used when the energy value of the reference ingredient seems underestimated. Likewise, a negative value can be used when the reference data seem overestimated. This correction is applied to the DE value and consequently modifies the ME and NE values, both for the growing and the adult pig.

Similarly, it is possible to use an “energy bonus” for diets (positive bonus only) that have undergone a technological process. For instance, pelleting increases digestibility by 1 to 3 points for diets based on wheat, corn or soybean meal. In EvaPig®, it is possible to add a different bonus to growing and adult pigs, as the effect of technology is supposed to be small or insignificant in the latter case. Note that one should not use at the same time an energy bonus for a diet and individual energy bonuses for its constitutive ingredients. Also, the energy values for ingredients such as rapeseeds or linseeds are already provided for processed materials since the raw, unprocessed ingredients (and particularly their lipid fraction) have a low digestibility: for those ingredients, adding a bonus to the reference data is not required.

Protein

Protein value can be assessed through the digestibility of the protein itself or, more accurately, through the digestibility of its individual amino acids. There are several methods to determine these digestibility values: they can be measured at faecal or ileum level, and they can be corrected (standardised, real) or not (apparent) for the different types of endogenous losses.

Ileal standardised digestibility of amino acids

EvaPig® provides values of ileal standardised digestibility of amino acids. This system is currently the most elaborate for protein value, with data being available for all common ingredients. The digestible amino acid value is corrected (standardised) for basal endogenous losses of amino acids unrelated to the feed protein and supposed to be proportional to the dry matter intake (Noblet et al., 2002; Stein et al., 2007). The standardised ileal amino acid digestibility coefficients for ingredients provided with EvaPig® originate from a series of in vivo experiments carried out in France by INRA, Adisseo, Arvalis (with Ajinomoto Animal Nutrition Europe) in the years 1980-2000. These data were collected and processed into table values, first published as a CD-Rom (AmiPig, 2000), and later in the INRA-AFZ tables (Sauvant et al., 2002; 2004).

The ileal standardised digestibilities of amino acids provided for the reference ingredients in EvaPig® are theoretically independent from the amount of feed protein. The standardised digestible amino acids of diets ingredients are assumed to be additive. Unlike energy digestibility, ileal digestibilities of amino acids are supposed to be identical for all stages of pig production and there is insufficient literature data to take into account the effects of technological processes.

For ingredients without known ileal digestibilities of amino acids, missing values have been replaced by average digestibility coefficients obtained by INRA on a large number of diets.

The ideal protein is defined as one that provides the exact balance of amino acids needed for optimum performance. To make the best use of this concept, EvaPig® also expresses digestible amino acids as a percentage of digestible lysine (Dourmad et al., 2008; van Milgen et al., 2008). The amino acid balance being a good indicator of the equilibrium between amino acid intake and requirements, digestible amino acid content in diets is also expressed relatively to the content in digestible lysine.

Faecal protein digestibility

EvaPig® provides and calculates the faecal digestibility of nitrogen for ingredients and diets. Though of little interest for assessing the protein value, it is useful for estimating the breakdown of nitrogen output between faecal and urinary pathways.

Phosphorus

EvaPig® contains reference data for total and digestible phosphorus content, mostly derived from the INRA-AFZ Tables.

When EvaPig® calculates the digestible apparent phosphorus content of a diet, it takes into account the effect of endogenous phytase (if still active in a mash form for instance) and added (exogenous) phytase. The effects of added and endogenous phytase are additive. Endogenous phytase is used in the calculations when the diet includes ingredients with notable phytase activity, such as rye, wheat and their by-products, and when the diet does not undergo a technological process such as pelleting.

The effect of phytase on the release of phytic phosphorus is supposed to be curvilinear, with a marginal effect that decreases when the amount of exogenous phytase increases (Jondreville and Dourmad, 2005). The biological activity of the added phytase, calculated as the amount of digestible P released per 500 IU of phytase, is required in the calculations. Typical phytase activity ranges from 0.5 to 0.9 g per 500 IU of phytase.

Calculations for new ingredients and diets

Note: the equations and coefficients used in EvaPig® will be provided in full detail on the EvaPig® website.

EvaPig® uses equations to calculate the nutritional values of new ingredients and diets. These equations were obtained through INRA experiments or derived from literature data.

The main benefit of using equations is that the predicted values are more precise than fixed values. However, this precision depends on many factors, not all of which are known, and users should always exercise caution when using predicted values.

New ingredients derived from reference ingredients

When calculating the energy value or amino acid and phosphorus digestibility of an ingredient that derived from a reference ingredient, EvaPig® uses for the new ingredient a combination of generic equations and specific equations. For instance, gross energy is predicted using a generic equation requiring protein, fat and ash with coefficients that are identical for all ingredients; on the other hand, energy digestibility is predicted from fibre content with coefficients specific to the ingredient (botanical species, type of process…).

The calculations consist in combining the nutritional value of the reference ingredient and coefficients that are applied to the differences in chemical composition between the new ingredient and the reference ingredient. The formula takes the following general form:

Y New = Y Reference + a x (X New – X Reference) + b x (Z New – Z Reference) + …

where Y is the predicted value and X, Z etc. are the predictors. “New” refers to the new ingredient and “Reference” refers to the reference ingredient.

For instance, the calculations of energy values involve the following steps:

  1. GE = f(chemical composition)
  2. Ed = f(fibre)
  3. DE = GE x Ed
  4. ME/DE = f(protein, DE)
  5. ME = DE x ME/DE
  6. NE/ME = f(protein, fat, starch, ME)
  7. NE = ME x NE/ME

New ingredients and diets known from their chemical composition only

EvaPig® can calculate nutritional values of new ingredients and diets from their chemical composition only. For energy values, the calculation process predicts gross energy, energy digestibility, ME and NE using generic equations based on chemical composition (and on in vitro organic matter digestibility, in the case of diets).

Ingredients and diets should be created using chemical composition only when no other option is available, but users should be aware that the generic equations used in the calculations are less precise and fail to take into account ingredient-specific effects such as anti-nutritional factors or the structure of cell walls.

Diets created from a list of ingredients

For diets created from a list of ingredients, the chemical and nutritional values are calculated as the weighed contributions of the ingredients, taking into account their incorporation rates and dry matter values.

When a nutrient is missing from an ingredient, it will not be part of the diet calculations: for instance, if an ingredient does not have a net energy value attached, net energy will not be calculated for any diet including this ingredient.

The calculations are more complex for phosphorus digestibility:

  • When no phytase is added, the calculation consists of a summation of the contributions of each ingredient, taking into account the incorporation rate and whether or not the diet is processed: for an unprocessed diet, the values will be those of the mash ingredient while for a processed diet, the values will be those of the pelleted diet.
  • When phytase is added and the diet is in mash form (i.e. unprocessed), some ingredients contribute to phosphorus release according to their endogenous phytase. Because the effect of phytase on phosphorus release is not linear, the total effect of phytase (endogenous and exogenous) needs to be estimated first, and several calculation steps are necessary to estimate the amount of the released phosphorus due to exogenous phytase, which is then added to the digestible phosphorus of the diet.
  • When phytase is added and the diet is in pellet form (i.e. processed), only exogenous phytase contributes to phosphorus release. The released phosphorus is estimated and added to the digestible phosphorus of the diet.

EvaPig® and nutritional requirements

To efficiently use the nutritional values proposed by EvaPig®, adaptations of both diet characteristics and animal requirements may be necessary. EvaPig® provides specific diet criteria to help users to meet those requirements.

  • For people who use DE or ME values and want to implement the NE system of EvaPig®, NE requirements can be estimated as 0.71 x DE or 0.75 x ME.
  • The ideal protein provides the exact balance of amino acids needed for optimum performance. To help users to formulate feeds based on the ideal protein, EvaPig® calculates the amino acid profile of diets as digestible amino acids expressed as % of digestible lysine.
  • The protein:energy ratio is highly variable between pigs according to physiological stage, body weight, etc. EvaPig® provides the ratio between digestible lysine and NE, which is the best indicator of the protein:energy ratio.
  • It is important to get an optimal ratio between Ca and digestible phosphorus (Pd). EvaPig® calculates the Ca:Pd ratio of the diet.


Installing and updating EvaPig®

EvaPig requires Microsoft Windows (XP and Vista).

The tutorial requires Microsoft PowerPoint or a PowerPoint viewer.

To install EvaPig®:

  • Download the EvaPigSetup.exe file from the www.evapig.com website
  • Click on the EvaPigSetup.exe file
  • Follow the instructions.
  • You can choose to launch the tutorial right after the installation. It will help you to use EvaPig® later on.

To update EvaPig®, just download and install the new version (without uninstalling the previous one). Your diets and ingredients will be kept.

You can check for updates by clicking on the Updates button in the main menu.

The EvaPig® files are installed in two locations on your computer:

  • The program itself and the tutorial are in C:\Program files\Evapig
  • If you want to save or transfer your diets and ingredients, the data files are in the following directory, depending on your Windows version:
    Vista : C:\Users\Yourname\AppData\Roaming\EvaPig
    XP : C:\Documents and Settings\YourName\Application Data\EvaPig
    • Note: this directory is usually hidden by default.


Main menu

The screenshot below presents the main menu of EvaPig®.

Figure 2. Main menu

The main menu gives access to the major features of EvaPig®.

The following buttons are available.

  • Ingredients : opens the list of ingredients for browsing and creating ingredients
  • Diets : opens the list of diets for browsing and creating diets
  • Language : pick your language in the drop-down list
  • Units : opens a form where you can choose your preferred units
  • Tutorial : opens a tutorial (Powerpoint presentation)
  • Help : opens this Help text.
    • The F1 key also opens a contextual help text wherever it is called in EvaPig®.
  • Disclaimer : opens the disclaimer text
  • Credits : opens the credits text
  • Website : starts your default browser and opens the www.evapig.com homepage.
  • Updates : checks that you have the latest version by comparing your version number to the version available at www.evapig.com
  • Quit : quits EvaPig®

Language preferences

You can choose the language of your choice in the corresponding drop-down list in the main menu. It is unnecessary to restart EvaPig®.

The language choices change the texts in the interface and the names of the reference ingredients. Note that the diets and ingredients you created yourself will keep the names you gave them originally.

Unit preferences

The unit preferences form is called by the Units button in the main menu.

Figure 3. Unit preferences

You can change the units for the following elements:

  • General expression : the values of ingredients and diets can be expressed either on a “as fed” (or “fresh”) basis or on a “dry matter” basis. It only affects the value for which this makes sense, typically nutrient content defined per unit of total or dry weight (like protein) rather than per unit of another nutrient (like digestibility).
  • Proximate analysis, amino acids, minerals and level of incorporation : such values can be expressed either as % or as g/kg.
  • Energy values : such values can be expressed either as kcal/kg or MJ/kg.

The unit choices affect the way data are seen when displayed, printed and exported.

The units chosen are the default units when a new ingredient or diet is created. However, it is possible to override them temporarily to facilitate data input.

It is unnecessary to restart EvaPig® after having changed the unit preferences.

Tutorial

Click on the Tutorial button to start the Powerpoint tutorial (EvaPigTutorial.pps) bundled with EvaPig®.

You can also download this tutorial from the www.evapig.com website.

Help

You can get contextual help anywhere in EvaPig® either by clicking on the Help button or by pressing the F1 key.

If you have questions about using EvaPig® or about the underlying nutritional concept, go to the www.evapig.com website and use the Frequently Asked Questions page or the contact page.

Website and updates

Go to www.evapig.com for the latest news about EvaPig®, including:

  • Software and database updates
    • You can check the availability of updates by clicking on the Updates button in the main menu
  • Tutorials
  • Lists of references
  • Documents about nutritional concepts
  • Ask questions about EvaPig®
  • Propose new data for the reference tables


Ingredients

The list of ingredients is called by the Ingredients button in the main menu.

Figure 4. List of ingredients

The names of the ingredients are shown on the left panel while the corresponding values are grouped on the right panel under separate tabs.

List of ingredients

The list of ingredients contains the reference ingredients (on a pink background) and the user-defined ingredients (on a blue background). By default, the list is sorted by alphabetical order.

Navigation

  • Click on an ingredient to select it.
  • Use the vertical scroll bar and the navigation keys (Arrow up, Arrow down, Page up, Page down, Home and End) to browse through the list.
  • Use the horizontal scroll bar to see an ingredient name in full if it is truncated.

The following buttons are available:

  • View : opens the ingredient view with all the nutrients for the selected ingredient.
  • Create : opens the ingredient creation form. If the currently selected ingredient is a reference ingredient, it will be used by default to create a new ingredient.
  • Close : closes the window
    • You can also use the Escape (Esc) key.
  • If the list of ingredients has been sorted previously by a chemical or nutritional value, click on the list header to sort it alphabetically again.

Filtering

By default, EvaPig® shows the full list of ingredients, including those defined by the user. Because this list may be long, you can limit it to certain groups of ingredients by using the filter options at the bottom of the ingredients list.

There are 3 filter options: each option needs to be enabled first by clicking on the check box in front of it. It is possible to enable several filters at the same time.

  • Class : choose the class of ingredients from the drop-down list
  • Database : choose the reference database or the user database from the drop-down list
  • Name : enter a string of characters that matches the ingredient name. The filter is case-insensitive: Wheat and wheat return the same wheat-based ingredients.

Data tabs

Each data tab shows a group of related nutrients. The units used are those chosen in the Unit preferences form.

The tabs are organised as follows:

  • Dry matter : the dry matter value in this tab is always expressed on the as-fed basis.
  • Proximate analysis : it contains the main chemical nutrients: dry matter, ash, protein, crude fat, crude fibre, the Van Soest fibre analysis (NDF, ADF, ADL), starch and sugars.
    • Fibre, sugars and starch values have been set to zero for those ingredients that do not contain these constituents, even though certain analytical methods may return a positive value. It is known, for instance, that measuring starch by polarimetry can return starch values on ingredients that do not contain real starch.
    • Methods of analysis:
      • Dry matter: oven drying (or officially recommended methods for specific ingredients such as molasses or fat)
      • Ash: incineration
      • Crude fibre: Weende method
      • Protein: Kjeldhal or Dumas method
      • Fat: ether extract, obtained with or without HCl hydrolysis, depending on the official recommendations for specific ingredients.
      • Starch: polarimetry
      • Sugars: Luff-Schoorl method
  • Energy utilization : ratios of energy values (including energy digestibility) for growing and adult pigs.
    • The letters g and a indicate (in DEg for instance) that the value is for growing and adult pigs, respectively.
    • Ed is the digestibility of energy
    • DE, ME and NE are respectively the digestible energy, the metabolizable energy and the net energy.
  • Energy values for growing (DEg, MEg, NEg) and adult (DEa, MEa, NEa) pigs.
  • Total amino acids expressed as % or g/kg of ingredient weight
  • Total amino acids expressed as percentage of the crude protein
  • Digestible amino acids : ileal standardised digestible amino acids
  • Digestibility of amino acids : ileal standardised digestibility of amino acids
  • Minerals : total calcium (Ca) and phosphorus (P) values
  • Digestibility of phosphoru s: digestibility of phosphorus for the mash and pellet form of the ingredient. In the reference table, the digestibility values of mash and pellet are different for soft wheat grain, the by-products of wheat milling and rye.

To use the tabs:

  • Click on the tab to see the data for the current (selected) ingredient.
  • Use the horizontal and vertical scroll bars when a tab contains many elements.
  • Click on a nutrient header to sort the table by ascending order or the nutrient values.
  • For user-defined ingredients copied from reference ingredients, the values in italics are those that were not modified by the user.

Ingredient view

The ingredient view is called up by selecting an ingredient in the list and either double-clicking on the selection or clicking on the View button.

The data are displayed using the default units.

The screenshot below presents the ingredient view for a reference ingredient, the Soybean meal 48.

Figure 5. View of a reference ingredient

Figure 6. View of a user-defined ingredient

Navigation

The following buttons are available:

  • Help : opens this help file.
  • Modify : opens the ingredient modification screen (only for user-defined ingredients)
  • Delete : deletes the current ingredient (only for user-defined ingredients).
  • Print : sends the current ingredient data to the printer.
  • PDF : exports the data to a PDF file.
  • CSV : exports the current data to a comma-separated value file.
  • Close : closes the window
    • You can also use the Escape (Esc) key.

Reference ingredients

When the ingredient is a reference ingredient, the Origin field contains “Reference tables” and the Comments field contains the name of the original reference (usually “INRA-AFZ”).

Note that reference ingredients cannot be modified or removed from EvaPig®. However, you can create a copy of a reference ingredient and change its values: click on the Create button, use the reference ingredient as a basis for the new ingredient and then modify the copy.

User-defined ingredients

Unlike reference ingredients, user-defined ingredients can be modified (Modify button) and deleted (Delete button).

  • If the ingredient was created using only original chemical values, the Origin field contains the text “Original item”.
  • If the ingredient was created by copying a reference ingredient, the Origin field contains the text “Copy of X” where X is the reference ingredient.

User-defined ingredients cannot be used as a basis for creating new ingredients.

Ingredient creation

The ingredient creation form is called up by the Create button in the list of ingredients.

Figure 7. Ingredient creation: first step

Name the ingredient

The following fields have to be filled first:

  • Name : name the new ingredient.
  • Class : pick a class in the drop-down list. If the form was called when a reference ingredient was selected, the class of this ingredient is proposed by default. Otherwise the field is left blank and you have to fill it yourself.

Ingredients are created either by copying a reference ingredient and then modifying its data, or by using only chemical values.

Choose one of the following tabs to start the creation process:

  • Create using a reference
  • Create from chemical composition

Ingredient creation using a reference ingredient

Whenever possible, a new ingredient should be derived from the closest reference ingredient from a biological (and botanical when applicable) point of view. The main reason is that the calculations will use equations specific to that ingredient rather than generic ones, resulting in more precise values than the ones calculated using chemical composition only.

  • Ingredient reference : choose an ingredient reference from the drop-down list.
    • Note that if the form was called up when a reference ingredient is selected, the class of this ingredient is proposed by default. If the selected ingredient was user-defined, no default ingredient is proposed.
    • This list only contains reference ingredients: user-defined ingredients cannot be used to create new ingredients.
  • Dry matter : enter a value for the dry matter.
    • The default value is always set to 0 and must be changed. This is by design.
    • You can choose a unit different from the default unit in the drop-down list next to the dry matter field.
    • The choice of a dry matter value is mandatory as this value cannot be changed later. Choose wisely: if you type the wrong value you will have to go through the whole process again. However, the dry matter can be changed when the ingredient is used in a diet.
  • Click on the OK button to continue. This validates the choice of the dry matter and opens the ingredient modification form below.

Figure 8. Ingredient creation from a reference ingredient: modifying the reference data

The proposed chemical values (proximate, minerals and amino acids) are copied from the reference ingredient.

  • To change a value in the ingredient modification form, first click on the checkbox next to the value you want to change and then type the value itself.
  • You can temporarily override the default units and expression by choosing a unit/expression pair in one of the drop-down lists.
  • The Energy bonus field lets you add or subtract up to 5% to the calculated digestible energy. Use the little arrows next to the field to increase or decrease the bonus.
  • You can change the total amino acid values but not the amino acid digestibilities, which are derived from the reference ingredient and considered as fixed.

In the example above, the ash, crude protein and lysine value were changed from the original reference ingredient.

  • OK : validates the changes
    • During the creation of an ingredient, the OK button terminates the process
  • Rename : renames the ingredient.
  • Comment : adds a comment to the ingredient
  • Cancel : cancels the current modifications.
    • When an ingredient is being created, using Cancel will only cancel the edition of the values and will not cancel the ingredient itself. To delete an ingredient, go back to the list of ingredients, select the ingredient, double-click to see its values and click on the Delete button.

Ingredient creation using chemical composition

First, click on the tab Create from chemical composition in the ingredient creation form. The headers show the ingredient name and class that you chose previously and the form now looks like the screenshot below.

Figure 9. Ingredient creation from chemical composition: choosing the dry matter

Creating an ingredient using chemical composition requires that the user provides several values.

  • Dry matter : enter a value for the dry matter.
    • You can choose a unit different from the default unit in the drop-down list next the dry matter field.
    • The choice of a dry matter value is mandatory as this value cannot be changed later. Choose wisely: if you type the wrong value, you will have to go through the whole process again.
  • Click on the Next button to continue. This will validate the choice of the dry matter and open the other chemical values for modification.

Figure 10. Ingredient creation from chemical composition: choosing the chemical composition and gross energy

The requirements are stricter than for the creation from a reference ingredient, since EvaPig® has to know certain values:

  • In order to calculate digestible energy values, the user must provide values for at least ash, protein, fibre and either a fat or a gross energy value.
  • In order to calculate metabolizable and net energy values, the user must provide values for at least ash, protein, fibre, fat and starch. The calculations will be more accurate if gross energy and sugars are provided.

The creation process requires the following values:

  • Ash : mandatory
  • Protein : mandatory
  • Fibre : mandatory; it can be either crude fibre (Weende method), NDF or ADF.
  • Fat or gross energy: either fat or gross energy is mandatory
    • If the fat content is unknown, you will have to provide a gross energy value. However, fat content is necessary to calculate metabolizable and net energy values: so, if you provide only the gross energy, EvaPig® will not be able to calculate ME and NE values, only DE.
    • If the gross energy is unknown, you will need to give a fat value that will be used to predict the gross energy. Because fat has a high energy content relative to other constituents, it is not possible to predict an accurate gross energy value without it.
  • Starch : it is mandatory to calculate metabolizable and net energy values.
    • Without it, EvaPig® will stop at the digestible energy.
  • Sugars : not mandatory, but adds precision to the calculations
  • Click on the OK button to continue. This validates the choice of the dry matter and opens the ingredient modification form.

The amino acid digestibilities proposed for an ingredient created using the chemical composition are default values. For this reason, it is possible to change them in the ingredient modification form (this is not possible for ingredients derived from reference ingredients).

Figure 11. Ingredient creation from chemical composition: choosing the mineral and amino acid values

Ingredient modification

The ingredient modification form is called up by clicking on the Modify button in the Ingredient view. The button is only available for user-defined ingredients, as reference ingredients cannot be modified or deleted.

Figure 12. Ingredient modification form for an ingredient derived from a reference ingredient

Figure 13. Ingredient modification form for an ingredient derived from chemical composition only

The form displays the chemical composition and the other modifiable values.

  • To change a value, first click on the checkbox next to the value you want to change and then type the value itself.
  • You can temporarily override the default units and expression by choosing a unit/expression pair in one of the drop-down lists.
  • The Energy bonus field lets you add or subtract up to 5% to the calculated digestible energy. Use the little arrows next to the field to increase or decrease the bonus.
  • The ability to modify amino acid digestibilities depends on how the ingredient was created:
    • For an ingredient created from a reference ingredient, the amino acid digestibilities cannot be changed and do not appear in the ingredient modification form.
    • When the ingredient was created from its chemical composition only, you can provide your own amino acid digestibilities and they can be changed in the ingredient modification form.

The following buttons are available:

  • OK : validates the changes
  • Rename : renames the ingredient.
  • Comment : adds a comment to the ingredient
  • Cancel : cancels the current modifications.


Diets

EvaPig® creates diets using both the reference ingredients and the user-defined ingredients. The diets are stored in a database and can be compared graphically.

When the ingredients of a diet are unknown, it is possible to calculate the energy values of the diet using its chemical composition. However, diets created that way are not saved in the database.

List of diets

The Diets button in the main menu opens the list of diets below. This list is empty when you use EvaPig® for the first time: diets are created and maintained by the user.

The names of the diets are shown on the left panel while the corresponding values are grouped on the right panel under separate tabs.

Figure 14. List of diets

Navigation and sorting

  • Use the vertical scroll bar and the navigation keys (Arrow up, Arrow down, Page up, Page down, Home and End) to browse through the list.
  • Use the horizontal scroll bar to see a diet name in full if it is truncated.
  • Click on, or scroll to, a diet to select it.

The following buttons are available:

  • View : opens the full list of nutrients for the selected diet.
    • Double -clicking on the selected diet achieves the same result
  • Create : opens the diet creation form.
  • Graphs : opens the diet comparison graphs.
  • Calculator : opens the form for calculating diet energy values from chemical composition.
  • Close : closes the window.
    • You can also use the Escape (Esc) key

By default, the list is sorted by ascending date of creation (the oldest diets on top). Clicking on the header sorts the list by alphabetical order.

Data tabs

Each data tab shows a group of related nutrients. The units used are those chosen in the Units preferences screen.

  • Click on the tab to see the data for the current (selected) diet.
  • When a tab contains many elements, use the horizontal and vertical scroll bars.
  • Click on a nutrient header to sort the table by ascending order or the nutrient values.

The tabs are organised as follows:

  • Dry matter : the dry matter value here is always expressed on the as-fed basis.
  • Proximate analysis : it contains the main chemical nutrients: dry matter, ash, protein, crude fat, crude fibre, the Van Soest fibre analysis (NDF, ADF, ADL), starch and sugars.
  • Energy utilization : ratios of energy values (including energy digestibility) for growing and adult pigs.
    • The letters g and a indicate (in DEg for instance) that the value is for growing and adult pigs respectively.
    • dE is the digestibility of energy
    • DE, ME and NE are respectively the digestible energy, the metabolizable energy and the net energy.
  • Energy values for growing (DEg, MEg, NEg) and adult (DEa, MEa, NEa) pigs.
  • Total amino acids expressed as % or g/kg of diet weight
  • Digestible amino acids : ileal standardised digestible amino acids
  • Minerals : total calcium, total phosphorus and digestible phosphorus values

Diet view

The diet view is called up by selecting a diet in the list of diets and then by double-clicking on the selection or clicking on the View button.

Figure 15. Diet view

The diet view shows the chemical and nutritional values of the selected diet, calculated from the values of its ingredients.

In addition to the values shown for the ingredients themselves, it also displays the following information:

  • Physical form of the diet: pellet or mash
  • Calcium / digestible phosphorus ratio
  • Digestible phosphorus / net energy ratio
  • Adult / growing pig energy ratios for DE, ME and NE
  • Digestible lysine / net energy ratio
  • Digestible amino acid profile expressed relatively to the digestible lysine: digestible amino acid / digestible lysine ratio (x 100) for each amino acid (ideal protein concept)

The following buttons are available:

  • Modify : opens the diet modification form.
  • Delete : deletes the current diet (after asking for confirmation from the user).
  • Graphs : opens the diet graphs for the current diet.
  • Print : sends the data to the printer.
  • PDF : exports the data to a PDF file.
  • CSV : exports the data to a comma-separated file.
  • Close : closes the window
    • You can also use the Escape (Esc) key.

Diet creation

To create a new diet, click on the Create button in the list of diets. The following form appears:

Figure 16. Diet creation: choosing the name and the template

  • Name the diet
  • If you want to use the ingredient composition of an existing diet as a template, click on the corresponding checkbox and pick a diet in the drop-down list.
  • Add a comment (optional)
  • Click on the OK button to validate or click on Cancel to stop the creation.

Clicking on the OK button opens the Diet modification form.

Diet modification

The diet modification form is called up by clicking on the OK button in the Diet creation form or by clicking on the Modify button in the Diet view.

Figure 17. Diet creation and modification: choosing the ingredients and the incorporation rates

The purpose of this form is to create or modify a diet by adding and removing ingredients, and by setting their incorporation rates.

  • The left panel shows the full list of ingredients.
  • The right panel shows the list of ingredients of the current diet

To add and remove ingredients from the diet, use the horizontal blue arrows as follows:

Adds the selected ingredient to the diet
Removes the selected ingredient from the diet
Replaces the selected ingredient from the diet by the selected ingredient from the full list

To change the order of the diet ingredients, use the vertical blue arrows and the sorting icons as follows:

Moves the selected ingredient one position up the list
Moves the selected ingredient one position down the list
Sorts the list by alphabetical order
Sorts the list by decreasing incorporation rate

After adding a new ingredient to the diet, you can:

  • Change the dry matter content of the ingredient, replacing the original value by your own.
  • Add the incorporation rate for the ingredient.
    • The sum of the incorporation rates for all the ingredients should be equal to 100%. The Total field shows the current total incorporation rate (including phytase)
    • The Remainder field shows the difference between 100% and the current sum of incorporation rates.
    • If the sum is different from 100%, a message will appear but the diet will be created nonetheless.

The diet value can be modified by the following elements:

  • Physical form : pick Mash (default) or Pellet in the drop-down list.
    • The diet value for phosphorus digestibility will be calculated from phosphorus digestibilities for mashed or pelleted ingredients, depending on the choice above.
    • Because the values for mashed ingredients are higher for certain ingredients due to the presence of active endogenous phytase (that is destroyed by pelleting), a mashed diet including one of these ingredients will have a higher content of digestible phosphorus than a pelleted diet.
  • Phytase supplementation
    • Click on the checkbox to activate phytase supplementation
    • Choose a phytase type, defined as the phytase activity expressed in grams of digestible phosphorus released per 500 IU of phytase
    • Choose a concentration, expressed in IU per gram of phytase
    • Choose an incorporation rate, expressed in IU per kg of feed
    • EvaPig® will calculate the quantity of phytase in the diet expressed in % as the incorporation rate / concentration / 10
  • Energy bonus : choose an energy bonus for the growing pig and for the adult pig

Once the changes are done, click on the OK button to validate, or on the Cancel button to cancel the modifications.

The following buttons are available:

  • Rename : renames the current diet.
  • Comment : lets you add a comment to the diet.
  • OK : validates the changes and opens the Diet view form.
  • Cancel : cancels the changes and goes back the Diet view.
    • When a diet is being created, using Cancel will only cancel the edition of the diet and will not cancel the diet itself. To delete a diet, go back to the diet view and click on the Delete button.

Diets comparison graphs

The diets comparison graphs are called by the Graphs button in the list of diets.

This form lets you compare up to 4 or 6 diets for the same nutrient.

Choose one of the following tabs to create a graph:

  • Single graph
  • Graphs comparison

Single graph

The single graph displays on a bar chart the values of a single nutrient for 1 to 6 diets.

To create a single graph:

  • Choose a group of criteria in the first drop-down list, then a nutrient from this group in the second drop-down list
  • Choose the diets in the Diet #1-6 drop-down lists

Figure 18. Comparison of the net energy values of 6 diets

The following icons and buttons are available:

 | Gives the chart a 3D aspect
 | Sends the chart to the printer
 | Exports the chart to a PDF file
Close | Closes the graphs comparison screen

Because the bar chart starts at 0 on the Y axis, the chart may not clearly show the differences between diets: to highlight those differences, you can zoom in the chart by holding down the left mouse button (starting from the bottom left corner) and then drawing a rectangle around the area of interest. To zoom out, draw a rectangle starting from the bottom right corner.

Figure 19. Comparison of the net energy values of 6 diets after zooming in

Graphs comparison

The graphs comparison screen displays as bar charts the contributions of ingredients to the same nutrient for up to 4 diets.

To create a graphs comparison:

  • Choose a group of criteria in the first drop-down list, then a nutrient from this group in the second drop-down list
  • Choose the diets in the Diet #1-4 drop-down lists

Note: when longer than 30 characters the names of the ingredients are shortened for legibility.

Figure 20. Contributions of ingredients to the net energy of 4 diets

Diet graphs

The diet graphs are called up by the Graphs button in the Diet View.

This form displays the contributions of the ingredients for a nutrient of the diet or let you compare the contributions of the ingredients for up to 4 nutrients.

Choose one of the following tabs to create a graph:

  • Single graph
  • Graphs comparison

Single graph

The single graph displays on a pie chart the contributions of the ingredients for a single nutrient of the diet.

To create a single graph:

  • Choose a group of criteria in the first drop-down list, then a nutrient from this group in the second drop-down list

Figure 21. Contributions of ingredients to the net energy of the diet

Graphs comparison

The graphs comparison screen displays as bar charts the contributions of ingredients for up to 4 nutrients.

To create a graphs comparison:

  • For each Graph # 1-4, choose a group of criteria in the first drop-down list and then a nutrient from this group in the second drop-down list

Note: when longer than 30 characters the names of the ingredients are shortened for legibility.

Figure 22. Contributions of ingredients to the digestible amino acid content of the diet

Energy calculator

The composition of a diet is sometimes unknown. EvaPig® provides a calculator that makes it possible to calculate the energy value of a diet using only its chemical composition. This calculator should not be used for predicting the energy value of ingredients.

  • Important: unlike diets created using ingredients, diets created from chemical composition cannot be saved in the database.

The Energy calculator is called up by the Calculator button in the list of diets.

Figure 23. Energy calculator: choosing the dry matter

Creating a diet using chemical composition requires that the user provides a name for the diet and then several values.

  • Dry matter : enter a value for the dry matter.
    • You can choose a unit different from the default unit in the drop-down list next to the dry matter field.
    • The choice of a dry matter value is mandatory as this value cannot be changed later.
  • Click on the Next button to continue. This will validate the choice of the dry matter and will open the other chemical values for modification.

Figure 24. Energy calculator: choosing the chemical composition and gross energy

EvaPig® has to know certain values to calculate the energy values:

  • In order to calculate digestible energy values, the user must provide values for at least ash, protein, fibre and either a fat or a gross energy value.
  • In order to calculate metabolizable and net energy values, the user must provide values for at least ash, protein, fibre, fat and starch. The calculations will be made more accurate if gross energy and sugars are provided.

Step by step, the creation process requires the following values. Unlike ingredient creation, no value is mandatory. However, missing values can seriously limit the calculations and their accuracy.

  • Ash: strongly recommended
  • Protein : strongly recommended
  • Fibre ( crude fibre (Weende method), NDF, or ADF): strongly recommended.
  • OMDv ( in vitro organic matter digestibility): optional
  • Fat : necessary to calculate metabolizable and net energy values.
  • Gross energy: if you do not know the gross energy, you will need to give a fat value that will be used to predict the gross energy. Because fat has a high energy content relative to other constituents, it is not possible to predict an accurate gross energy value without it.
  • Starch : mandatory to calculate metabolizable and net energy values.
    • Without it, the calculation will stop at the digestible energy.
  • Sugars : optional, but adds precision to the calculations
  • Click on the View button to continue. This validates the previous choices and displays the calculated values.

Figure 25. Energy calculator: results

The following buttons are available:

  • Print : sends the current ingredient data to the printer.
  • PDF : exports the data to a PDF file.
  • CSV : exports the current data to a comma-separated value file.
  • Close : closes the window and returns to the entry form of the calculator.
    • You can also use the Escape (Esc) key.


List of publications

The list of scientific publications can be downloaded from the EvaPig® website.


Disclaimer

Ajinomoto Animal Nutrition Europe, INRA and AFZ shall not be held liable by any person for any direct or indirect damage arising from any use of EvaPig® and/or the data generated by EvaPig®. It is explicitly stated that any financial or commercial loss (for instance: loss of data, loss of customers or of orders, loss of benefit, operating loss, opportunity loss, commercial trouble) or any action directed against EvaPig® by a third party constitutes an indirect damage and is not eligible for compensation of damage by Ajinomoto Animal Nutrition Europe, INRA or AFZ.


Credits

EvaPig® was created, designed and developed by Jean Noblet (INRA, UMR1348 PEGASE), Alain Valancogne (INRA, UMR1348 PEGASE), Gilles Tran (AFZ) and Ajinomoto Animal Nutrition Europe

INRA, UMR1348 PEGASE (Physiologie, Environnement et Génétique pour l'Animal et les Systèmes d'Élevage)
Le Clos, 35590 SAINT-GILLES, France

Association Française de Zootechnie (AFZ)
16 rue Claude Bernard, 75231 PARIS Cedex 05, France

Ajinomoto Animal Nutrition Europe
32, rue Guersant, 75017 PARIS, France

The authors wish to thank the many people from INRA – particularly Jean-Yves Dourmad for his important contribution in the module for taking into account the biological effects of endogenous and exogenous phytase and Jaap Van Milgen, Serge Dubois and Henri Flageul for their advice, encouragement, feedback and contributions.

The EvaPig® partners are also grateful to the authors of the INRA-AFZ Tables, and particularly to the editors Daniel Sauvant, Jean-Marc Perez and Gilles Tran for allowing the use of the INRA-AFZ data. Thanks also to Bernard Sève and Catherine Jondreville (INRA), who developed the concepts and data used in the INRA-AFZ Tables and applied in EvaPig® for the amino acid and mineral values. The data for amino acid digestibility in the pig are taken from: AFZ, Ajinomoto Animal Nutrition Europe, Aventis Animal Nutrition, INRA, ITCF, 2000. AmiPig. Standardised Ileal Digestibility of amino acids in feedstuffs for pigs, AFZ, Paris.

In addition to INRA and Ajinomoto Animal Nutrition Europe, the following organisations have supported the French Feed Database of the AFZ since 1989 and made possible the INRA-AFZ Tables and subsequent publications, including EvaPig®: Arvalis Institut du Végétal, CCPA, Centralys, CETIOM, CIRAD, Cooperl-Hunaudaye, Désialis, Glon-Sanders, IFIP, INZO°, MG2mix, ONIDOL, Primex, Techna, UNIP, and USICA.

Finally, we thank in advance the people who will help to make EvaPig® better and more useful, notably by providing us with nutritional values for new ingredients or more accurate and up to date information. If your organisation is willing to share such data, please send inquiries and suggestions through www.evapig.com.